# This file is generated by cargo_embargo.
# Do not modify this file after the LOCAL_DIR line
# because the changes will be overridden on upgrade.
# Content before the first line starting with LOCAL_DIR is preserved.

LOCAL_DIR := $(GET_LOCAL_DIR)
MODULE := $(LOCAL_DIR)
MODULE_CRATE_NAME := zerocopy
MODULE_RUST_CRATE_TYPES := rlib
MODULE_SRCS := $(LOCAL_DIR)/src/lib.rs
MODULE_ADD_IMPLICIT_DEPS := false
MODULE_RUST_EDITION := 2021
MODULE_RUSTFLAGS += \
	--cfg 'feature="alloc"' \
	--cfg 'feature="derive"' \
	--cfg 'feature="zerocopy-derive"' \
	--cfg 'zerocopy_aarch64_simd_1_59_0' \
	--cfg 'zerocopy_core_error_1_81_0' \
	--cfg 'zerocopy_diagnostic_on_unimplemented_1_78_0' \
	--cfg 'zerocopy_generic_bounds_in_const_fn_1_61_0' \
	--cfg 'zerocopy_panic_in_const_and_vec_try_reserve_1_57_0' \
	--cfg 'zerocopy_target_has_atomics_1_60_0'

MODULE_LIBRARY_DEPS := \
	$(call FIND_CRATE,zerocopy-derive) \
	trusty/user/base/lib/liballoc-rust \
	trusty/user/base/lib/libcompiler_builtins-rust \
	trusty/user/base/lib/libcore-rust

include make/library.mk
